import { Component, OnInit } from '@angular/core';
import { AfterContentInit } from '@angular/core/src/metadata/lifecycle_hooks';
import {FormsModule} from '@angular/forms';

export class SensorItemResult {
  sensorItemName?: String;
  sensorItemUnit?: String;
  sensorKeyName?: String;
}


@Component({
  selector: 'of-sensor-setting-result',
  templateUrl: './setting-result.component.html',
  styleUrls: ['./setting-result.component.scss']
})
export class SettingResultComponent implements OnInit, AfterContentInit {

  favoriteSeason: string;
  sensorItemResultList: Array<SensorItemResult>;

  constructor() { }

  seasons = [
    '600',
    '400',
    '200',
  ];

  ngAfterContentInit() {

    this.sensorItemResultList = new Array();

    const ctu: SensorItemResult = {
      sensorItemName: 'CPU Total Usage',
      sensorItemUnit: '%',
      sensorKeyName: 'wmi.cpu.usage.total'
    };

    const cfu: SensorItemResult = {
      sensorItemName: 'CPU Free Usage',
      sensorItemUnit: 'kb',
      sensorKeyName: 'wmi.cpu.usage.free'
    };

    const mtu: SensorItemResult = {
      sensorItemName: 'Mem Total Usage',
      sensorItemUnit: '%',
      sensorKeyName: 'wmi.mem.usage.total'
    };

    this.sensorItemResultList.push(ctu);
    this.sensorItemResultList.push(cfu);
    this.sensorItemResultList.push(mtu);

  }

  ngOnInit() {
  }

}
